Endpoint: /sites/{siteId}/filesystem/folders
Returns folder
NOTE: In v8.1 and later, includes Upload Quota Settings.
-
GET
Method & URL
GET https://[server URL]:[port]/admin/v2/sites/{siteId}/filesystem/folders
GET Body Sample
Copy
@Siteid = {{siteList.response.body.$.data[0].id}}
###
GET https://{{host}}/admin/v2/sites/{{Siteid}}/filesystem/folders HTTP/1.1
Authorization: EFTAdminAuthToken {{AuthToken}}
###
GET Response Body Sample
Copy
HTTP/1.1 200 OK Date: Mon, 08 Aug 2022 16:59:16 GMT Content-Type: application/vnd.api+json ETag: "B7E6B8C3"
Content-Length: 529 Cache-Control: no-cache, no-store, must-revalidate Expires: -1
X-Content-Type-Options: nosniff X-XSS-Protection: 1; mode=block
Content-Security-Policy: default-src 'self' 'unsafe-inline' 'unsafe-eval' data:;
Referrer-Policy: no-referrer
{ "data": { "attributes": { "name": "", "subFolders": [ "anonymous", "Bin", "Incoming", "Pub", "Usr" ], "target": {
"type": "winFolder", "winFolder": { "path": "C:\\InetPub\\EFTRoot\\MySite\\" } }, "uploadQuota": null },
"id": "%2F", "links": { "self": "/admin/v2/sites/e82de253-b8ec-4b70-a72d-d017c3317f01/filesystem/folders/%252F" },
"relationships": { "inheritedPermissions": { "meta": { "name": "inherited permissions" } }, "permissions": {
"links": { "related": "/admin/v2/sites/e82de253-b8ec-4b70-a72d-d017c3317f01/filesystem/folders/%252F/permissions" } } },
"type": "folder" } }
GET PowerShell Sample
Copy
$userid = $userList.data[0].id
# get users counters
Write-Output "filesystem folders"
Write-Output "-----"
$folderList = Invoke-RestMethod -Uri "$baseURL/v2/sites/$siteID/filesystem/folders"
-Method 'GET' -Headers $authHeader
Write-Output $folderList | ConvertTo-Json
foreach ($user in $folderList.data)
{
Write-Output ("User $($user.id): $($user.attributes.loginName)")
}